Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2659643003: Set kHasSeenWin10PromoPage in local_state instead of in profile prefs. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 3 weeks ago by Patrick Monette
Modified:
6 months, 3 weeks ago
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Set kHasSeenWin10PromoPage in local_state instead of in profile prefs. The pref is registered to the local state so the old code was incorrect. BUG=685799 Review-Url: https://codereview.chromium.org/2659643003 Cr-Commit-Position: refs/heads/master@{#446497} Committed: https://chromium.googlesource.com/chromium/src/+/7c6a615b2b23452b33af668caab3945fe44b52a4

Patch Set 1 #

Total comments: 2

Patch Set 2 : Inline Profile::FromWebUI() #

Patch Set 3 : Merge #

Messages

Total messages: 20 (10 generated)
Patrick Monette
PTAL. Small bug fix.
6 months, 3 weeks ago (2017-01-26 20:09:50 UTC) #3
Peter Kasting OOO thru Aug 22
LGTM on making code consistent, but I'm wondering if this should actually be in the ...
6 months, 3 weeks ago (2017-01-26 21:14:32 UTC) #4
tmartino
On 2017/01/26 at 21:14:32, pkasting wrote: > LGTM on making code consistent, but I'm wondering ...
6 months, 3 weeks ago (2017-01-26 21:32:52 UTC) #5
Peter Kasting OOO thru Aug 22
On 2017/01/26 21:32:52, tmartino wrote: > On 2017/01/26 at 21:14:32, pkasting wrote: > > LGTM ...
6 months, 3 weeks ago (2017-01-26 21:41:03 UTC) #6
Patrick Monette
On 2017/01/26 21:41:03, Peter Kasting wrote: > On 2017/01/26 21:32:52, tmartino wrote: > > On ...
6 months, 3 weeks ago (2017-01-26 22:05:26 UTC) #7
Patrick Monette
Thanks https://codereview.chromium.org/2659643003/diff/20001/chrome/browser/ui/webui/welcome_win10_ui.cc File chrome/browser/ui/webui/welcome_win10_ui.cc (right): https://codereview.chromium.org/2659643003/diff/20001/chrome/browser/ui/webui/welcome_win10_ui.cc#newcode125 chrome/browser/ui/webui/welcome_win10_ui.cc:125: Profile* profile = Profile::FromWebUI(web_ui); On 2017/01/26 21:14:32, Peter ...
6 months, 3 weeks ago (2017-01-26 22:09:13 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2659643003/40001
6 months, 3 weeks ago (2017-01-26 22:17:51 UTC) #12
commit-bot: I haz the power
Failed to apply patch for chrome/browser/ui/webui/welcome_win10_ui.cc: While running git apply --index -p1; error: patch failed: ...
6 months, 3 weeks ago (2017-01-26 23:11:11 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2659643003/60001
6 months, 3 weeks ago (2017-01-26 23:16:38 UTC) #17
commit-bot: I haz the power
6 months, 3 weeks ago (2017-01-27 00:08:44 UTC) #20
Message was sent while issue was closed.
Committed patchset #3 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/7c6a615b2b23452b33af668caab3...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b